spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://172.31.39.212:3306/copytrade?characterEncoding=utf-8&serverTimezone=GMT%2B8&useSSL=false
    username: copytrade
    password: idB2GX23z7pDnw5n
  redis:
    host: 172.31.39.212
    port: 6379
    password: redis123!
    timeout: 3000
      #设置会话操作后立即更新到redis中,默认是等服务器请求结束后再将变化的值同步到redis中
    flush-mode: immediate
    pool:
      # 连接池中的最大空闲连接
      min-idle: 0
      # 连接池中的最大空闲连接
      max-idle: 8
      # 连接池最大连接数（使用负值表示没有限制）
      max-active: 8
      # 连接池中的最小空闲连接
      max-wait: -1
  kafka:
    bootstrap-servers: 172.31.39.212:9092  #bootstrap-servers：连接kafka的地址，多个地址用逗号分隔
    consumer:
      group-id: default-group
      enable-auto-commit: false
      #auto-commit-interval: 100
      properties:
        session.timeout.ms: 15000
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      auto-offset-reset: earliest
    producer:
      retries: 0 #若设置大于0的值，客户端会将发送失败的记录重新发送
      batch-size: 16384 #当将多个记录被发送到同一个分区时， Producer 将尝试将记录组合到更少的请求中。这有助于提升客户端和服务器端的性能。这个配置控制一个批次的默认大小（以字节为单位）。16384是缺省的配置
      buffer-memory: 33554432 #Producer 用来缓冲等待被发送到服务器的记录的总字节数，33554432是缺省配置
      key-serializer: org.apache.kafka.common.serialization.StringSerializer #关键字的序列化类
      value-serializer: org.apache.kafka.common.serialization.StringSerializer #值的序列化类
logging:
  file:
    # 输出的文件的路径
    path: logs/
  level:
    com.contract: info
    java.sql.PreparedStatement: info
  config: classpath:logback-spring.xml
doge:
  host: http://127.0.0.1:6012
  host_inner: http://127.0.0.1:6012
app:
  version:
    check:
      enabled: false
# 与 admin 的 application-dev.properties 保持一致
aliyun:
  oss:
    endpoint: oss-cn-hongkong.aliyuncs.com
    access_key_id: LTAI5tMeDWPMuU2PfFuhqWMR
    access_key_secret: qR0f1qoSBi5J7Y6jhDJMT0upNWFGkw
    bucket_private_name: cv-cex
    bucket_public_name: cv-cex
s3:
  access-key-id: AKIARHQKVVUBD3M6E3XV
  access-key-secret: 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
  bucket-name: ibitcex
  region: ap-southeast-1